<?php

declare(strict_types=1);

namespace App\Providers;

use App\Services\PushNotificationsService\FCMPushNotificationsService;
use App\Services\PushNotificationsService\PushNotificationsServiceContract;
use Illuminate\Support\ServiceProvider;

/**
 * Class ServicesServiceProvider
 */
class ServicesServiceProvider extends ServiceProvider
{
    public function register(): void {}

    public function boot(): void
    {
        $this->app->bind(PushNotificationsServiceContract::class, FCMPushNotificationsService::class);
    }
}
